Novell Home

CVE-2013-1415

Common Vulnerabilities and Exposures

[Previous] [Index] [Next]

Upstream information

CVE-2013-1415 at MITRE

Description

The pkinit_check_kdc_pkid function in plugins/preauth/pkinit/pkinit_crypto_openssl.c in the PKINIT implementation in the Key Distribution Center (KDC) in MIT Kerberos 5 (aka krb5) before 1.10.4 and 1.11.x before 1.11.1 does not properly handle errors during extraction of fields from an X.509 certificate, which allows remote attackers to cause a denial of service (NULL pointer dereference and daemon crash) via a malformed KRB5_PADATA_PK_AS_REQ AS-REQ request.

NVD CVSS v2 Base Score: 7.1 (AV:N/AC:M/Au:N/C:N/I:N/A:C)

Novell/SUSE information

Novell Bugzilla entry: 806715

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Software Development Kit 11 SP2
  • krb5-devel >= 1.6.3-133.48.52.1
  • krb5-server >= 1.6.3-133.48.52.1
Builds
SAT Patch Nr: 7446
SUSE Linux Enterprise Software Development Kit 11 SP2
  • krb5-devel >= 1.6.3-133.48.52.1
Builds
SAT Patch Nr: 7446
SUSE Linux Enterprise Software Development Kit 11 SP2
  • krb5-devel >= 1.6.3-133.48.52.1
  • krb5-devel-32bit >= 1.6.3-133.48.52.1
Builds
SAT Patch Nr: 7446
SUSE Linux Enterprise Software Development Kit 11 SP2
  • krb5-devel >= 1.6.3-133.48.52.1
  • krb5-devel-32bit >= 1.6.3-133.48.52.1
  • krb5-server >= 1.6.3-133.48.52.1
Builds
SAT Patch Nr: 7446
SUSE Linux Enterprise Desktop 11 SP2
  • krb5 >= 1.6.3-133.48.52.1
  • krb5-client >= 1.6.3-133.48.52.1
Builds
SAT Patch Nr: 7446
SUSE Linux Enterprise Desktop 11 SP2
  • krb5 >= 1.6.3-133.48.52.1
  • krb5-32bit >= 1.6.3-133.48.52.1
  • krb5-client >= 1.6.3-133.48.52.1
Builds
SAT Patch Nr: 7446
SUSE Linux Enterprise Server 11 SP2
SUSE Linux Enterprise Server 11 SP2 for VMware
  • krb5 >= 1.6.3-133.48.52.1
  • krb5-apps-clients >= 1.6.3-133.48.52.1
  • krb5-apps-servers >= 1.6.3-133.48.52.1
  • krb5-client >= 1.6.3-133.48.52.1
  • krb5-plugin-kdb-ldap >= 1.6.3-17.27.52.1
  • krb5-plugin-preauth-pkinit >= 1.6.3-17.27.52.1
  • krb5-server >= 1.6.3-133.48.52.1
Builds
SAT Patch Nr: 7446
SUSE Linux Enterprise Server 11 SP2
SUSE Linux Enterprise Server 11 SP2 for VMware
  • krb5 >= 1.6.3-133.48.52.1
  • krb5-32bit >= 1.6.3-133.48.52.1
  • krb5-apps-clients >= 1.6.3-133.48.52.1
  • krb5-apps-servers >= 1.6.3-133.48.52.1
  • krb5-client >= 1.6.3-133.48.52.1
  • krb5-plugin-kdb-ldap >= 1.6.3-17.27.52.1
  • krb5-plugin-preauth-pkinit >= 1.6.3-17.27.52.1
  • krb5-server >= 1.6.3-133.48.52.1
Builds
SAT Patch Nr: 7446
SUSE Linux Enterprise Server 11 SP2
  • krb5 >= 1.6.3-133.48.52.1
  • krb5-apps-clients >= 1.6.3-133.48.52.1
  • krb5-apps-servers >= 1.6.3-133.48.52.1
  • krb5-client >= 1.6.3-133.48.52.1
  • krb5-plugin-kdb-ldap >= 1.6.3-17.27.52.1
  • krb5-plugin-preauth-pkinit >= 1.6.3-17.27.52.1
  • krb5-server >= 1.6.3-133.48.52.1
  • krb5-x86 >= 1.6.3-133.48.52.1
Builds
SAT Patch Nr: 7446

© 2014 Novell